import * as React from "react";
import { Dispatch, SetStateAction } from "react";
interface PanelEnlargeCtxType {
    enlarge: any;
    setEnlarge: Dispatch<SetStateAction<any>>;
}
/** 右半边详细操作页面被放大为整个四口的页面，放大
 * 跨越多层次的路由器页面。
 * */
export declare const PanelEnlargeCtx: React.Context<PanelEnlargeCtxType>;
interface TwoHalfFrameProps {
    children: React.ReactNode;
    rightPanel: React.ReactNode;
    activeTab: number;
    setActiveTab: Dispatch<SetStateAction<number>>;
}
/**公用框架组件  Left左半列表摘要 + 右半边Console详细操作的页面。
 * 还允许把状态 activeTab, setActiveTab] = React.useState( 提升到外部注入，方便外来自定义控制逻辑。
 * 本组件是框架，要配合 <TwoHalfRightPanel/>组件 以及<PanelEnlargeCtx.Provider 这两个东西来协同完成框架页面构建。
 * */
export default function TwoHalfFrame(props: TwoHalfFrameProps): import("@emotion/react/jsx-runtime").JSX.Element;
export {};
